YAXT - Feature #333

Caching of communicators
08/06/2014 06:29 PM - Thomas Jahns

Status: Resolved Start date: 08/06/2014
Priority: Normal Due date:

Assignee: Thomas Jahns % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Description

YAXT currently creates communicators internally to provide isolation from other parts of the system. This can be potentially costly
when it introduces additional synchronization. For this reason it seems sensible to cache previously created communicators instead
of destroying them immediately.

An alternative scheme requires managing tags in the library more closely and is potentially less resource intensive (depending on
how costly a communicator is).

History

#1 - 11/28/2016 11:27 AM - Thomas Jahns
- Status changed from New to Resolved

- Assignee set to Thomas Jahns

Management of tags is included since commit:d81df00949be65e4e83f21d36a2b548542fba677 and can be considered mature for some releases
now. Thus this issue is resolved.

04/03/2025 1/1



http://www.tcpdf.org

